org.appng.appngizer.controller

## Class GroupController

- java.lang.Object
- - org.appng.appngizer.controller.ControllerBase
  - - org.appng.appngizer.controller.GroupController

-     @RestController
      public class GroupController
      extends ControllerBase

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.controller.ControllerBase

      `configurer, context, coreService, databaseService, session, templateService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRoles(GroupImpl group, Group fromDomain)`
    `org.springframework.http.ResponseEntity<Group>` | `createGroup(Group group)`
    `org.springframework.http.ResponseEntity<Void>` | `deleteGroup(String name)`
    `org.springframework.http.ResponseEntity<Group>` | `getGroup(String name)`
    `org.springframework.http.ResponseEntity<Groups>` | `listGroups()`
    `org.springframework.http.ResponseEntity<Group>` | `updateGroup(String name, Group group)`

    - ### Methods inherited from class org.appng.appngizer.controller.ControllerBase

      `getDatabaseStatus, getSharedSecret, onBusinessException, onConflictException, onConstraintViolationException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupController

          public GroupController()

  - ### Method Detail

    - #### listGroups

          @GetMapping(value="/group")
          public org.springframework.http.ResponseEntity<Groups> listGroups()

    - #### getGroup

          @GetMapping(value="/group/{name:.+}")
          public org.springframework.http.ResponseEntity<Group> getGroup(@PathVariable(value="name")
                                                                                                               String name)

    - #### addRoles

          public void addRoles(GroupImpl group,
                               Group fromDomain)

    - #### createGroup

          @PostMapping(value="/group")
          public org.springframework.http.ResponseEntity<Group> createGroup(@RequestBody
                                                                                                         Group group)

    - #### updateGroup

          @PutMapping(value="/group/{name:.+}")
          public org.springframework.http.ResponseEntity<Group> updateGroup(@PathVariable(value="name")
                                                                                                                  String name,
                                                                                                                  @RequestBody
                                                                                                                  Group group)

    - #### deleteGroup

          @DeleteMapping(value="/group/{name:.+}")
          public org.springframework.http.ResponseEntity<Void> deleteGroup(@PathVariable(value="name")
                                                                                                                    String name)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.